package edu.kit.ipd.descartes.adaptation.model.repository.perfdatarepo;

import org.eclipse.emf.ecore.EObject;

import edu.kit.ipd.descartes.perfdatarepo.Impact;
import edu.kit.ipd.descartes.perfdatarepo.Result;

public interface IPerformanceDataRepositoryHandler {
    
    public void load(String modelFileUri);
    
    public Impact getLatestImpact();

    public Result getCurrentSystemState();

    public EObject getRepository();
}
